Bug 1970740 - Latest version lowered version number, breaks upgrades
Summary: Latest version lowered version number, breaks upgrades
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: crun
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Giuseppe Scrivano
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-11 05:23 UTC by Martin Pitt
Modified: 2022-03-23 14:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-23 14:32:26 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Martin Pitt 2021-06-11 05:23:36 UTC
Description of problem: The latest crun update in https://bodhi.fedoraproject.org/updates/FEDORA-2021-3526832553 fixed an important bug (new kernel completely broke podman, https://github.com/containers/podman/issues/10623). However, it *downgraded* crun from the previous 0.20.3.. version to 0.20.1.. Thus upgrading from Fedora 34 still picks the previous version, as dnf by default picks the highest version number:

Upgrading:
 conmon                    x86_64 2:2.0.28-0.2.dev.git551605f.fc35 fedora  53 k
 containernetworking-plugins
                           x86_64 1.0.0-11.1.git8de0287.fc35       fedora 9.0 M
 containers-common         noarch 4:1-19.fc35                      fedora  60 k
 crun                      x86_64 0.20.3-0.12.git8d6a8b5.fc35      fedora 173 k

With that, podman still falls over in rawhide.

Please reupload with a higher version number.

Version-Release number of selected component (if applicable):

crun-0.20.1.1-0.13.git7adf4d0.fc35 

How reproducible: Always


Steps to Reproduce:
1. `dnf update --releasever=35 crun` in Fedora 34

Actual results: Upgrades to 0.20.3-0.12.git8d6a8b5.fc35 (previous broken version)


Expected results: Upgrades to a newer version including the fixes from https://bodhi.fedoraproject.org/updates/FEDORA-2021-3526832553


Additional info:

Comment 1 Ben Cotton 2021-08-10 13:07:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 2 Lokesh Mandvekar 2022-03-23 14:32:26 UTC
crun versions have been fixed. Closing..


Note You need to log in before you can comment on or make changes to this bug.